Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1450)

Issue 1755273003: Simplify AuthenticationMethod type and PIN hash handling. (Closed)

Created:
4 years, 6 months ago by Sergey Ulanov
Modified:
4 years, 6 months ago
Reviewers:
kelvinp
CC:
chromium-reviews, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Simplify AuthenticationMethod type and PIN hash handling. 1 Previously AuthenticationMethod was a class. Replaced it with a simple enum. 2 Removed SharedSecretHash struct and simplified the code that passes around PIN hash. 3 If the host config contains PIN in plain text then now the host hashes it instead of using spake2_plain authenticator method. This means that spake2_hmac is always used for Me2Me even when the PIN is not hashed in the config. This change will make it easier to add new authentication methods. BUG=589698 Committed: https://crrev.com/3c7592464a581a96d3c92015c1ee3b878205880b Cr-Commit-Position: refs/heads/master@{#379365}

Patch Set 1 : #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+283 lines, -379 lines) Patch
M remoting/client/jni/chromoting_jni_instance.cc View 1 chunk +6 lines, -6 lines 0 comments Download
M remoting/client/plugin/chromoting_instance.cc View 1 chunk +6 lines, -6 lines 0 comments Download
M remoting/host/pin_hash.h View 1 chunk +8 lines, -0 lines 0 comments Download
M remoting/host/pin_hash.cc View 2 chunks +31 lines, -9 lines 0 comments Download
M remoting/host/remoting_me2me_host.cc View 4 chunks +7 lines, -10 lines 0 comments Download
M remoting/protocol/authentication_method.h View 2 chunks +26 lines, -70 lines 0 comments Download
M remoting/protocol/authentication_method.cc View 2 chunks +35 lines, -109 lines 0 comments Download
M remoting/protocol/it2me_host_authenticator_factory.h View 2 chunks +5 lines, -6 lines 0 comments Download
M remoting/protocol/it2me_host_authenticator_factory.cc View 2 chunks +6 lines, -9 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.h View 2 chunks +4 lines, -4 lines 0 comments Download
M remoting/protocol/me2me_host_authenticator_factory.cc View 3 chunks +5 lines, -7 lines 0 comments Download
M remoting/protocol/negotiating_authenticator_base.h View 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/protocol/negotiating_authenticator_base.cc View 3 chunks +7 lines, -11 lines 0 comments Download
M remoting/protocol/negotiating_authenticator_unittest.cc View 4 chunks +49 lines, -62 lines 0 comments Download
M remoting/protocol/negotiating_client_authenticator.cc View 7 chunks +21 lines, -19 lines 2 comments Download
M remoting/protocol/negotiating_host_authenticator.h View 1 chunk +10 lines, -5 lines 0 comments Download
M remoting/protocol/negotiating_host_authenticator.cc View 8 chunks +36 lines, -23 lines 0 comments Download
M remoting/protocol/pairing_client_authenticator.cc View 1 chunk +2 lines, -3 lines 0 comments Download
M remoting/test/host_info.cc View 1 chunk +4 lines, -6 lines 0 comments Download
M remoting/test/protocol_perftest.cc View 4 chunks +10 lines, -9 lines 0 comments Download
M remoting/test/remote_host_info.cc View 1 chunk +1 line, -1 line 0 comments Download
M remoting/test/test_chromoting_client_unittest.cc View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 13 (7 generated)
Sergey Ulanov
4 years, 6 months ago (2016-03-03 18:46:50 UTC) #5
kelvinp
lgtm https://codereview.chromium.org/1755273003/diff/40001/remoting/protocol/negotiating_client_authenticator.cc File remoting/protocol/negotiating_client_authenticator.cc (right): https://codereview.chromium.org/1755273003/diff/40001/remoting/protocol/negotiating_client_authenticator.cc#newcode100 remoting/protocol/negotiating_client_authenticator.cc:100: std::string supported_methods; Out of curiosity, why do we ...
4 years, 6 months ago (2016-03-04 18:40:54 UTC) #6
Sergey Ulanov
https://codereview.chromium.org/1755273003/diff/40001/remoting/protocol/negotiating_client_authenticator.cc File remoting/protocol/negotiating_client_authenticator.cc (right): https://codereview.chromium.org/1755273003/diff/40001/remoting/protocol/negotiating_client_authenticator.cc#newcode100 remoting/protocol/negotiating_client_authenticator.cc:100: std::string supported_methods; On 2016/03/04 18:40:54, kelvinp wrote: > Out ...
4 years, 6 months ago (2016-03-04 20:48:51 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1755273003/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1755273003/40001
4 years, 6 months ago (2016-03-04 20:50:04 UTC) #9
commit-bot: I haz the power
Committed patchset #1 (id:40001)
4 years, 6 months ago (2016-03-04 21:34:41 UTC) #11
commit-bot: I haz the power
4 years, 6 months ago (2016-03-04 21:35:35 UTC) #13
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/3c7592464a581a96d3c92015c1ee3b878205880b
Cr-Commit-Position: refs/heads/master@{#379365}

Powered by Google App Engine
This is Rietveld 408576698